[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFC: some new deb package flag: "upgrade-conflicts"

> So, what would you suggest instead?

Upgrade-Conflicts: bogofilter <= x.y

and a _notice_ to the admin that before upgrading he needs to notify all
users that use bogofilter and have them change their configuration.
Then the admin can uninstall bogofilter and install the new version
(or use some --force-upgrade switch).
That way the responsibility is forced onto the admin, which IMHO is the
only sane way here.
Of course such Upgrade-Conflicts should be used rarely.

But after all: how was this done when the --bzip2 switch of tar was


        erich@(mucl.de|debian.org)        --        GPG Key ID: 4B3A135C
         There was never a good war or a bad peace. - Benjamin Franklin
        Die kürzeste Verbindung zwischen zwei Menschen ist ein Lächeln.
            "Wissen ist Macht" - wenn man das richtige daraus macht.

Reply to: